Loading...
Searching...
No Matches
DimseCondition Class Reference

helper class with static methods that facilitate the migration from the old stack-based condition handling code in module dcmnet to the new class based code. More...

## Static Public Member Functions

static OFString & | dump (OFString &str, OFCondition cond)
| Get a string representation for the given condition code This method is intended as a replacement for COND_DumpCondition().
static OFdeprecated void | dump (OFCondition cond, OFConsole &console=ofConsole)
| dumps a given condition code to the console.
static OFCondition | push (unsigned short aModule, unsigned short aCode, OFStatus aStatus, const char *aText, OFCondition subCondition)
| creates a new condition from the given parameters and the sub-condition.
static OFCondition | push (OFCondition newCondition, OFCondition subCondition)
| creates a new hierarchical condition from the given condition and sub-condition.

## Detailed Description

helper class with static methods that facilitate the migration from the old stack-based condition handling code in module dcmnet to the new class based code.

## Member Function Documentation

## dump() [1/2]

OFdeprecated void DimseCondition::dump | ( | OFCondition | cond,
|  | OFConsole & | console = ofConsole )

static

dumps a given condition code to the console.

This method is intended as a replacement for COND_DumpCondition(). Since no global condition stack exists anymore, the condition must be passed to this method.

Parameters

  cond | condition to be dumped
  console | console to dump to

Deprecated
  Please use the other dump() function instead!

References OFdeprecated.

## dump() [2/2]

OFString & DimseCondition::dump | ( | OFString & | str,
|  | OFCondition | cond )

static

Get a string representation for the given condition code This method is intended as a replacement for COND_DumpCondition().

Since no global condition stack exists anymore, the condition must be passed to this method.

Parameters

  str | string to dump into
  cond | condition to be dumped

Returns
  reference to string

## push() [1/2]

OFCondition DimseCondition::push | ( | OFCondition | newCondition,
|  | OFCondition | subCondition )

static

creates a new hierarchical condition from the given condition and sub-condition.

This method is intended as a replacement for COND_PushCondition(). Instead of maintaining a global condition stack (which is difficult in multi-threaded applications), the error text of the sub-condition is appended to the newly created condition.

Parameters

  newCondition | the condition
  subCondition | the sub-condition

## push() [2/2]

OFCondition DimseCondition::push | ( | unsigned short | aModule,
|  | unsigned short | aCode,
|  | OFStatus | aStatus,
|  | const char * | aText,
|  | OFCondition | subCondition )

static

creates a new condition from the given parameters and the sub-condition.

This method is intended as a replacement for COND_PushCondition(). Instead of maintaining a global condition stack (which is difficult in multi-threaded applications), the error text of the sub-condition is appended to the newly created condition.

Parameters

  aModule | the module for the condition
  aCode | the code for the condition
  aStatus | the status for the condition
  aText | the error text
  subCondition | the sub-condition

The documentation for this class was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/cond.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0